package com.qihoo360.mobilesafe.core.service;

import com.qihoo360.mobilesafe.service.ProcessInfo;
interface ISysProcessCallback{
    /**
     * 加载之前的准备
     */
     void loadPrepare();

    /**
     * 正在加载进程列表
     */
     void loadDoingProcess();


    /**
     * 加载进程完成
     * 
     * @param clearList(清理列表)
     * @param isExcllent 是否最优
     */
     void loadFinish(in List<ProcessInfo> clearList, boolean isExcellent);
     
     
   
    /**
     * 一键清理开始
     */
    void oneKeyClearStrat();
    
     
    /**
     * 一键清理完成
     * 
     * @param killPorcessSize杀的进程大小
     * @param killAllMemorySize杀的内存大小
     */
    void oneKeyClearFinish(int killPorcessSize, int killAllMemorySize);
     
    /**
	 * 杀进准备中
	 */
	 void killPrepare();

    /**
	 * 杀进程进行中
	 */
	 void killDoing();
	
     /**
     * 杀进程完成
     * 
     * @param killPorcessSize杀的进程大小
     * @param killAllMemorySize杀的内存大小
     */
     void killFinish(int killPorcessSize, int killAllMemorySize);

}
